#ifndef C_SHD_POST_COL_DODGE_H__
#define C_SHD_POST_COL_DODGE_H__

#include "../cShader_CG.h"


class cShdPostColDodge: public cShader_CG {
public:
	cShdPostColDodge( CGcontext &_context, CGprofile &_vprof, CGprofile &_fprof );

public:
	void init_parameters() {}

protected:
	void enable_parameters() {}
	void disable_parameters() {}
};


//////////////////////////////////////////////////////////////////////////

inline
cShdPostColDodge::cShdPostColDodge( CGcontext &_context, CGprofile &_vprof, CGprofile &_fprof ) \
	: cShader_CG(_context, _vprof, _fprof)
{
	load_from_files( "cg_post_col_dodge_vert.cg", "cg_post_col_dodge_frag.cg" );

	return;
}


#endif
